"use strict";

{
	C3.Plugins.ppstudio_handy_utilities.Acts =
	{
		InitGA(){
			if (!this._GAEnabled)
				this._initAnalytics();
		},

		ImportCSSData(data)
		{
			const dat = {
				"css-code":data
			}
			this.createCSSData(dat);
		},
		
		ImportScriptData(data){
			var head = document.getElementsByTagName("head")[0];
			var scriptTag = document.createElement("script");
			scriptTag.innerHTML = data;
			head.appendChild(scriptTag);
		},
		
		ImportScriptSrc(data){
			var head = document.getElementsByTagName("head")[0];
			var scriptTag = document.createElement("script");
			scriptTag.setAttribute("src",data);
			head.appendChild(scriptTag);
		},
		
		GASendEvent(cat,act,lbl,val){
			
			if (this._GAEnabled){
				const data = {
					"category":cat,
					"activity":act,
					"label":lbl,
					"value":val
				}
				
				this.PostToDOM("send-event", data);
			}
		}
	};
}